/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "biddingApi", "paging"], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            //标的物类型
            deptTypeList:[],
            //标的物所在地
            deptLocationList:[],
            //竞价大厅列表
            biddingInformationList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 50,
            //总页数
            pageCount:0
        },
    };
    var tools = new Tools();

    module.init = function (page) {

        //新闻资讯
        tools.doGet(biddingList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.biddingList,true);

        //标的物类型
        tools.doGet(webDeptType+"/project_type", {}, module.deptType,true);

        //标的物所在地
        tools.doGet(webDept + '/0', {}, module.deptLocation,true);
    };

    //挂牌项目列表
    module.biddingList = function (data) {
        if (data.code == 200) {
            console.log(data)
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.biddingInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s1');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.biddingInformationList = content;
            var biddingInformationData = template('biddingInformationData', module.data);
            $("#biddingInformationContent").html(biddingInformationData);
        }
    }

    //标的物类型
    module.deptType = function (data) {
        console.log(data)
        if (data.code == 200) {
            var content = [] ;
            console.log(data.data)
            for (var i = 0 ; i < 4 ; i++){
                content[i] = data.data[i];
            }
            module.data.deptTypeList = content;
            var deptTypeData = template('deptTypeData', module.data);
            $("#deptTypeContent").html(deptTypeData);
        }
    }

    //标的物所在地
    module.deptLocation = function (data) {
        if (data.code == 200) {
            var content = [] ;
            for (var i = 0 ; i < 7 ; i++){
                content[i] = data.data[i];
            }
            module.data.deptLocationList = content;
            var deptLocationData = template('deptLocationData', module.data);
            $("#deptLocationContent").html(deptLocationData);
        }
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        tools.doGet(itemsList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.itemList,true);
    }
    return module;
});